package com.number;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.core.annotation.Order;

import java.net.ServerSocket;
import java.util.Date;

@SpringBootApplication
@MapperScan(value = {"com.number.mapper"})
public class NumberEdgeApplication {

    public static void main(String[] args) {
        SpringApplication.run(NumberEdgeApplication.class, args);
    }

    @Bean(name = "serverSocket")
    @Order
    public ServerSocket serverSocket(){
        ServerSocket server = null;
        try {
            //log.info(new Date().toString() + "***开启监听扫描端口***");
            server = new ServerSocket(9777);
            //超过10秒没有连接返回数据自动断开连接
//            server.setSoTimeout(20000);
        }catch (Exception e){
            e.printStackTrace();
            //log.error("监听扫描端口失败:"+e.getMessage());
        }
        return  server;
    }

}
