package com.number.service.impl;

import com.number.mapper.SAngleedMapper;
import com.number.model.SAngleed;
import com.number.service.SAngleedService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author Larry
 * @date 2021/9/26 16:47
 */
@Service
public class SAngleedServiceImpl implements SAngleedService {

    @Resource
    private SAngleedMapper sAngleedMapper;

    @Override
    public void factAngle(String str,String sId) {
        SAngleed sAngleed = new SAngleed();
        //得到X,Y字符串 进行计算后保存数据库
        String c[]=str.split("SBY");
        String strX = c[0];
        String strY = c[1];
        String[] s1 = strX.split(",");
        String[] s2 = strY.split(",");
        for (int i=0; i<s1.length; i++){
            if("".equals(s1[i])){break;}
            if("".equals(s2[i])){break;}
            //先计算X的值
            double value=(Double.valueOf(s1[i].toString()) +135) / 0.135 + 500;
            String X1 = hex10To16(Math.round(Float.parseFloat(String.valueOf(value))));
            //四舍五入取整数
            String regex = "(.{2})";
            X1 = X1.replaceAll(regex, "$1 ");
            sAngleed.setsId(sId);
            sAngleed.setDegreeX(X1);
            //计算Y的值
            double value1=(Double.valueOf(s2[i].toString()) +45) / 0.135 + 500;
            String Y1 = hex10To16(Math.round(Float.parseFloat(String.valueOf(value1))));
            //四舍五入取整数
            String regex1 = "(.{2})";
            Y1 = Y1.replaceAll(regex1, "$1 ");
            sAngleed.setDegreeY(Y1);
            sAngleedMapper.insert(sAngleed);
        }
    }
    public static String hex10To16(int valueTen){
        return String.format("%04X",valueTen);
    }

    @Override
    public Map<String, Object> selectsId(String sId) {
        Map<String, Object> map = new HashMap<String, Object>();
        List<SAngleed> sAngleedList = sAngleedMapper.selectBysId(sId);
        map.put("sAngleedList",sAngleedList);
        return map;
    }

    /*@Override
    public Map<String, Object> selectsIdLimit(String sId) {
        Map<String, Object> map = new HashMap<String, Object>();
        List<SAngleed> sAngleedList = sAngleedMapper.selectBysIdLimit(sId);
        map.put("sAngleedList",sAngleedList);
        return map;
    }*/
}
