package com.number.utils;

import com.number.model.Circle;
import com.number.model.Point;


/**
 * @author Larry
 * @date 2021/9/26 11:15
 * 生成圆筒仓转动角度
 */
public class circleUtil {

    public static StringBuffer circleOrders(String  sId,Double d,Double AC) {
        //查询仓房直径和距离地面的高度
        //圆筒仓的直径
       /* double d = 30;*/
        //根据直径判断半径是整数还是非整数 如果是非整数 则向下取整
        double r = Math.floor(d/2);  //最大的半径 即一共有多少个圆圈

        //一共有多少个圆圈
        int circleNumber = (int)r;
        //BB 是设备到地面的高
       /* double AC = 50;*/

        StringBuffer sb = new StringBuffer();

        for (int i = 1; i <= circleNumber; i++) {
            //每一个圆一共有多少个的点   此时的半径长就是i
            int pointCount = (int)((2*Math.PI*i)/1.57);
            //System.out.println("第"+i+"个圆上一共有"+pointCount+"个点");
            Circle circle = new Circle();
            circle.setR(i);

            for (int j = 0; j < pointCount; j++) {
                Point point = new Point();

                double degrees = (360/pointCount)*j;
                //System.out.println(degrees+"度数");
                double radians = Math.toRadians(degrees);
                String str = String.format("%.2f%n", Math.cos(radians)*i);
                double x = new Double(str);
                String str1 = String.format("%.2f%n", Math.sin(radians)*i);
                double y = new Double(str1);

                //打出来三角形的底边AB 实际是平面上点的斜边
                //int p = (pointCount - 4) /4; //每个象限的点数
                double AB = 0; //理想状态
                if(degrees == 0){ //第一象限
                    AB = d/2;
                }else if((degrees <= 90) || (degrees >270 && degrees <360)){
                    AB = Math.sqrt(Math.abs(y)*Math.abs(y)+((d/2)-x)*((d/2)-x));
                }else if((degrees > 90 && degrees <180) || (degrees >180 && degrees <270)){
                    AB = Math.sqrt(Math.abs(y)*Math.abs(y)+((d/2)+Math.abs(x))*((d/2)+Math.abs(x)));
                }else if(degrees == 180){
                    AB = Math.abs(x)+(d/2);
                }

                double BC = Math.sqrt(AB*AB+AC*AC);

                point.setX(x);
                point.setY(y);
                point.setZ(AB);

                //double c = AC/BC;
                double c_angle = Math.toDegrees(Math.acos(AC/BC));
                sb.append(degrees);
                sb.append(",");
                sb.append(c_angle);
                sb.append(";");
                sb.append("\n");

                circle.setPoint(point);
                //System.out.println("第"+i+"个圆上点的坐标:"+"x："+point.getX()+"  y："+point.getY()+"  z："+point.getZ());
            }
        }
        /*System.out.println(sb);*/
        String str = new String(sb);
        //调用转换方法 返回StringBuffer
        System.out.println("str^^^^^^^^^^^^^"+str);
        sb = changeAngle(str);
        return sb;
    }
    //通过算出来转动的角度的字符串转为可计算的串
    public static StringBuffer changeAngle(String  countFakeAngle) {
        StringBuffer strX = new StringBuffer();
        StringBuffer strY = new StringBuffer();
        StringBuffer countStrXY = new StringBuffer();
        String[] s = countFakeAngle.split(";");
        //数组个数
        int i1 =0;
        for (String str1 : s) {
            if(i1==str1.length()-1){break;}
            String[] s1 = str1.split(",");
            for (int i=0; i<s1.length; i++){
                if("".equals(s1[i])){break;}
                if (i % 2 != 0) {
                    strY.append(Math.round(Float.parseFloat(s1[i])));
                    strY.append(",");
                } else {
                    strX.append(Math.round(Float.parseFloat(s1[i])));
                    strX.append(",");
                }
            }
        }
        String sb3 = strX.substring(0, strX.length() - 1);
        String sb4 = strY.substring(0, strY.length() - 1);
        countStrXY.append(sb3).append("SBY").append(sb4);
        System.out.println(countStrXY);
        return countStrXY;
    }
}
